{%- assign name = include.field[0] -%}
{%- assign id = include.field[1].id | default: name -%}
{%- assign label = include.field[1].label[site.locale] -%}
{%- assign help = include.field[1].help[site.locale] -%}

<div
  class="form-group"
  data-type="{{ include.field[1].type }}"
  data-name="{{ name }}"
  data-controller="image-preview"
  data-image-preview-data-value="data:image/png;base64,{{ "public/placeholder.png" | thumbnail: 200, 200 | base64 | strip_newlines }}">
  <label for="{{ id }}">{{ label }}</label>

  <div>
    <img
      class="img-fluid"
      data-image-preview-target="image"
      src="" />
  </div>

  <div class="custom-file">
    <input
      data-image-preview-target="input"
      data-action="image-preview#preview"
      {% if help %}
        aria-describedby="help-{{ id }}"
      {% endif %}
      {% if include.field[1].required %}
        required
      {% endif %}
      type="file"
      name="{{ name }}"
      id="{{ id }}"
      accept="image/*"
      class="custom-file-input" />

    <label for="{{ id }}" class="custom-file-label">
      {{ label }}
      {% if include.field[1].required %}*{% endif %}
    </label>
  </div>

  {%- if help -%}
    <small id="help-{{ id }}" class="form-text">
      {{ help }}
    </small>
  {%- endif -%}
</div>
